xgboost

Public Member Functions | Protected Member Functions | Friends | List of all members
xgboost::common::Range::Iterator Class Reference

`#include <common.h>`

Collaboration diagram for xgboost::common::Range::Iterator:

## Public Member Functions
XGBOOST_DEVICE DifferenceType | operator* () const
const XGBOOST_DEVICE Iterator & | operator++ ()
XGBOOST_DEVICE Iterator | operator++ (int)
XGBOOST_DEVICE bool | operator== (const Iterator &other) const
XGBOOST_DEVICE bool | operator!= (const Iterator &other) const
XGBOOST_DEVICE void | Step (DifferenceType s)

## Protected Member Functions
XGBOOST_DEVICE | Iterator (DifferenceType start)
XGBOOST_DEVICE | Iterator (DifferenceType start, DifferenceType step)

## Friends
class | Range

## Constructor & Destructor Documentation

## ◆ Iterator() [1/2]

XGBOOST_DEVICE xgboost::common::Range::Iterator::Iterator | ( | DifferenceType | start | ) |
| inline explicit protected

## ◆ Iterator() [2/2]

XGBOOST_DEVICE xgboost::common::Range::Iterator::Iterator | ( | DifferenceType | start,
|  | DifferenceType | step
| ) |  |
| inline explicit protected

## Member Function Documentation

## ◆ operator!=()

XGBOOST_DEVICE bool xgboost::common::Range::Iterator::operator!= | ( | const Iterator & | other | ) | const
| inline

## ◆ operator*()

XGBOOST_DEVICE DifferenceType xgboost::common::Range::Iterator::operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

const XGBOOST_DEVICE Iterator& xgboost::common::Range::Iterator::operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

XGBOOST_DEVICE Iterator xgboost::common::Range::Iterator::operator++ | ( | int |  | ) |
| inline

## ◆ operator==()

XGBOOST_DEVICE bool xgboost::common::Range::Iterator::operator== | ( | const Iterator & | other | ) | const
| inline

## ◆ Step()

XGBOOST_DEVICE void xgboost::common::Range::Iterator::Step | ( | DifferenceType | s | ) |
| inline

## Friends And Related Function Documentation

## ◆ Range

friend class Range
| friend

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/common.h